R040301: Installing MDAC & Jet

Overview

Usually RTG Bills and RTG Timer can be installed with no problems. However, on some systems, the database software does not run correctly after installation. If RTG believes that you have a problem of this kind, you will be directed to this page to fix it.

The database software is supplied by Microsoft. It consists of many separate files, and sometimes these files do not work together properly. To fix this problem, you need to download installation programs from Microsoft that will install a consistent set of files that are known to work together.

Because recent versions of Windows will not allow ordinary programs such as RTG Bills to change certain "system" files, you must use Microsoft's installation programs to fix the problem. Only their installation programs can replace the system files.

This page is designed to help you correct such problems so you can use RTG Bills and RTG Timer.

 

MDAC

There are two parts to the database software. One is MDAC, the Microsoft Data Access Components. The other is Jet 4.0, the Jet database engine.

Starting with Windows XP Service Pack 2, MDAC is installed with Windows and you cannot install it separately. The following link tells you how to check the MDAC installation:

How to check for MDAC version

Microsoft may have changed their Web site since this was written, so if this link does not work, go to http://www.microsoft.com and search for MDAC Component Checker. (And let us know so we can update the link.)

If problems are found, make sure you have the latest Windows updates installed. There are downloads available for older versions of Windows, but if you have Windows XP SP2 or Windows Vista, they do not apply.

If you still have a problem, you should download Jet 4.0.

 

Jet 4.0

If you can't run RTG Bills and MDAC is installed properly, you should install Jet 4.0.

Instructions are on the Microsoft Web site:

How to obtain the latest service pack for the Microsoft Jet 4.0 Database Engine

As of this writing (August 2008), the latest Jet service pack is Service Pack 8 (SP8), but both Windows XP SP2 and Windows Vista have more recent versions of Jet. Therefore, Jet 4.0 Service Pack 8 does not apply. Instead, make sure you have the latest Windows updates installed on your computer.

If you have an older version of Windows, find the appropriate link to "Jet 4.0 SP8" for your version of Windows and download the file. Double-click the file to install the software, then restart your computer.

 

Further Help

We are happy to answer any support questions you might have. Send a message to RTG for a quick response.

When you report a problem, please be very specific about what you did and what you saw. If you get an error message, write down the exact text of the message as well as the title of the message box.

 
 
 

 
What's New Site Map Software Orders Support Contact

Copyright © 2001-2018 RTG Data Systems | Privacy Policy